Name:           perl-Net-Statsd
Version:        0.09
Release:        1%{?dist}
Summary:        Sends statistics to the stats daemon over UDP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Statsd/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-Statsd-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a client for a statsd statistics collection server, such
as the one in use at Etsy.com.

You want to use this module to track statistics in your Perl application, such
as how many times a certain event occurs (user logins in a web application, or 
database queries issued), or you want to time and then graph how long certain 
events take, like database queries execution time or time to download a certain
file, etc...

%prep
%setup -q -n Net-Statsd-%{version}
# leaving README.pod as is results in a non-meaningful manpage as Net::README
mkdir pod
mv README.pod pod
# the following commands preserve benchmark.pl without providing Net::benchmark as a manpage
mkdir examples
mv benchmark.pl examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README examples pod
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun  8 2014 David Dick <ddick@cpan.org> - 0.09-1
- Upgrade to 0.09

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 David Dick <ddick@cpan.org> - 0.08-1
- Initial release
